import 'package:mobile_portal_23/models/reportListModel.dart';
class EmployeePageArguments {
  final String? name;
  final String? id;
  final String? apiKey;
  final bool? isForeman;
  final bool? mobilePortalAccessEnabled;
  EmployeePageArguments(
      {this.name,
        this.id,
        this.apiKey,
        this.isForeman,
        this.mobilePortalAccessEnabled});

/*EmployeePageArguments.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    id = json['id'];
    apiKey = json['apiKey'];
    isForeman = json['isForeman'];
    mobilePortalAccessEnabled = json["mobilePortalAccessEnabled"];
  }*/
}

class QRCodeModel {
  late final String? name;
  late final String? id;
  late final String? qrCode;

  QRCodeModel(
      {this.name,
        this.id,
        this.qrCode
      });

    QRCodeModel.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    id = json['id'];
    qrCode = json['qrCode'];

  }
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['name'] = name;
    data['id'] = id;
    data['qrCode'] = qrCode;
      return data;
  }
}

class WorkStateModel {
  late final String? workState;

  WorkStateModel(
      {this.workState,

      });

  WorkStateModel.fromJson(Map<String, dynamic> json) {
    workState = json['workState'];


  }

}

class ReportArguments {
  final List<DailyReport> report;
  //final String userApiKey;
  final String workName;
  final String workId;
  final bool state;
  //final bool isForeman;
  ReportArguments(
      this.report, //this.userApiKey,
      this.workName,
      this.workId,
      this.state,
      //this.isForeman
      );

}
class EmployeeArguments {
  String? name;
  String? id;
  bool? isForeman;
  bool? mobilePortalAccessEnabled;
  EmployeeArguments(
      {this.name, this.id, this.isForeman, this.mobilePortalAccessEnabled});

  EmployeeArguments.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    id = json['id'];
    isForeman = json['isForeman'];
    mobilePortalAccessEnabled = json["mobilePortalAccessEnabled"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['name'] = name;
    data['id'] = id;
    data['isForeman'] = isForeman;
    data['mobilePortalAccessEnabled'] = mobilePortalAccessEnabled;
    return data;
  }
}